/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Program6;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class MatrixMultiplicationTest {
    @Test void MatrixMultiplication() {

        MatrixMultiplication multiplication = new MatrixMultiplication();
    
        int [][] matrix1 = {{2, 2, 2}, {2, 2, 2}, {2, 2, 2}};
        int [][] matrix2 = {{2, 2, 2}, {2, 2, 2}, {2, 2, 2}};
        int[][] matrixResult = multiplication.matrixMultiplication(matrix1, matrix2);

        int[][] matrixExpected = {{12, 12, 12}, {12, 12, 12}, {12, 12, 12}};
        assertArrayEquals(matrixExpected, matrixResult);
    }
}
